Bug 1314663 - wrong default background in emacs
wrong default background in emacs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 03:19 EST by Jan Synacek
Modified: 2017-08-08 09:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:06:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (14.10 KB, image/png)
2016-03-04 03:19 EST, Jan Synacek
no flags Details
emacs startup screen, reduced to small screen area (39.22 KB, image/png)
2016-03-05 15:11 EST, R Mercado
no flags Details

  None (edit)
Description Jan Synacek 2016-03-04 03:19:39 EST
Created attachment 1133105 [details]
screenshot

Description of problem:
Emacs background turned blue after the update of gtk and several graphics related components. Emacs itself didn't change and the background was fine before the update. There seems to be no easy way how to downgrade gtk to verify this.


Version-Release number of selected component (if applicable):
gtk3-3.19.11-1.fc24.x86_64


Steps to Reproduce:
1. Update to the latest F24 (Fri Mar  4 09:18:39 CET 2016)
2. run emacs
3.


Actual results:
Blue background of the main widget.


Expected results:
Normal background of the main widget.
Comment 1 Jan Synacek 2016-03-04 03:20:51 EST
I'm running XFCE, should that matter.
Comment 2 R Mercado 2016-03-05 10:14:02 EST
Hi,

I am writing to comment that I see the same behaviour that Jan reports.
Running Gnome and wayland on rawhide (F24?)
emacs-24.5-10.fc24.x86_64
Comment 3 R Mercado 2016-03-05 15:11 EST
Created attachment 1133385 [details]
emacs startup screen, reduced to small screen area
Comment 4 R Mercado 2016-03-05 15:11:52 EST
There's been an update and I am now running these packages:

gtk3-3.19.11-1.fc25.x86_64
emacs-25.0.92-1.fc25.x86_64

The behaviour persists and even more strangely, the main emacs window resizes at startup to a small area of the screen. I attach a screenshot.

While using the application I also noticed the Gtk warning I paste below.

(emacs:27567): Gtk-WARNING **: State 36 for Emacs 0x16ee280 doesn't match state 128 set via gtk_style_context_set_state ()
Comment 5 Joonas Sarajärvi 2016-03-18 12:47:18 EDT
The issue is still present with the gtk3 update I got today.

gtk3-3.19.12-1.fc25.x86_64
emacs-25.0.92-1.fc25.x86_64
Comment 6 Matthias Clasen 2016-03-28 10:33:25 EDT
will be fixed in gtk 3.20.2
Comment 7 Jan Synacek 2016-04-04 02:05:25 EDT
I can confirm that this is fixed in gtk3-3.20.2-1.fc24.x86_64.
Comment 8 Joonas Sarajärvi 2016-04-05 08:18:34 EDT
Emacs started working for me, too with these:
emacs-25.0.92-1.fc25.x86_64
gtk3-3.20.2-1.fc25.x86_64
Comment 9 Joonas Sarajärvi 2017-03-02 15:03:39 EST
I think this could be closed now.
Comment 10 Fedora End Of Life 2017-07-25 16:17:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2017-08-08 09:06:02 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.